Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573408 - [OVN] - Changing the vlan of a physnet does not update the vlan of the external networks defined on top of it
Summary: [OVN] - Changing the vlan of a physnet does not update the vlan of the extern...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.2.3.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Marcin Mirecki
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 06:21 UTC by Michael Burman
Modified: 2018-12-12 10:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-12 10:45:11 UTC
oVirt Team: Network
rule-engine: ovirt-4.3+


Attachments (Terms of Use)

Description Michael Burman 2018-05-01 06:21:16 UTC
Description of problem:
Changing the vlan of a physnet does not update the vlan of the external networks defined on top of it. It's a known issue that deserve a clear bug.


Version-Release number of selected component (if applicable):
4.2.3.2-0.1.el7

How reproducible:
100%

Steps to Reproduce:
1) Create new physnet network(data center network) with vlan 162
2) Attach the physnet network to the host 
3) Create new ovn network + choose create on external provider + choose the data center network(physnet network) from step 1^^ without subnet
4) Run VM with ovn network vNIC - VM got IP from vlan 162
5) Shutdown the VM
6) Edit the physnet network with new vlan tag 163 - All changes applied successfully on the host
7) Start VM - 

Result - VM got IP from vlan 162 and not vlan 163

* NOTE - The exact same flow, with regular vlan network(no ovn involved) working as expected.

Actual results:
The physnet vlan wasn't updated

Expected results:
The physnet vlan should be updated

Additional info:
See also BZ 1534565

Comment 1 Dominik Holler 2018-08-02 07:44:08 UTC
An alternative way to fix would be to unlink the oVirt's OVN network entity from the physnet network, instead of update the OVN network's `provider:segmentation_id` as suggested in comment 0.

Comment 2 Dominik Holler 2018-08-02 10:56:49 UTC
Another alternative would be to forbid to change the VLAN ID, if engine knows that the physical network is used as physnet by an external network.

Comment 3 Dan Kenigsberg 2018-12-12 10:45:11 UTC
I prefer the simpler solution proposed in comment 1, but we are unlikely to address it before we hear a demand from the field for physnet, which would occur only after bug 1195208 is out.


Note You need to log in before you can comment on or make changes to this bug.